#include "app_input_pwd.h"
#include "ui_manager.h"

int app_input_pwd_handle_event(keyValue kval)
{
    int32_t value = 0 ;
    switch (kval)
    {
    case KEY_DATA_LEFT:
        ui_manager_comp_set_pwd(SPINBOX_SET_LEFT);
        break;
    case KEY_DATA_RIGHT:
        ui_manager_comp_set_pwd(SPINBOX_SET_RIGHT);
        break;
    case KEY_DATA_UP:
        ui_manager_comp_set_pwd(SPINBOX_SET_UP);
        break;
    case KEY_DATA_DOWN:
        ui_manager_comp_set_pwd(SPINBOX_SET_DOWN);
        break;
    case KEY_DATA_BACK:
    case KEY_DATA_CANCEL:
        break;
    case KEY_DATA_ENTER:
        
        value = ui_manager_comp_get_pwd();

        break;                
    default:
        break;
    }

    return value;
}